## nova 13.1.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

pbr>=1.6 # Apache-2.0
SQLAlchemy<1.1.0,>=1.0.10 # MIT
boto>=2.32.1 # MIT
decorator>=3.4.0 # BSD
eventlet!=0.18.3,>=0.18.2 # MIT
Jinja2>=2.8 # BSD License (3 clause)
keystonemiddleware!=4.1.0,>=4.0.0 # Apache-2.0
lxml>=2.3 # BSD
Routes!=2.0,!=2.1,!=2.3.0,>=1.12.3;python_version=='2.7' # MIT
Routes!=2.0,!=2.3.0,>=1.12.3;python_version!='2.7' # MIT
cryptography!=1.3.0,>=1.0 # BSD/Apache-2.0
pycrypto>=2.6 # Public Domain
WebOb>=1.2.3 # MIT
greenlet>=0.3.2 # MIT
PasteDeploy>=1.5.0 # MIT
Paste # MIT
PrettyTable<0.8,>=0.7 # BSD
sqlalchemy-migrate>=0.9.6 # Apache-2.0
netaddr!=0.7.16,>=0.7.12 # BSD
netifaces>=0.10.4 # MIT
paramiko>=1.16.0 # LGPL
Babel!=2.3.0,!=2.3.1,!=2.3.2,!=2.3.3,>=1.3 # BSD
iso8601>=0.1.9 # MIT
jsonschema!=2.5.0,<3.0.0,>=2.0.0 # MIT
python-cinderclient>=1.3.1 # Apache-2.0
keystoneauth1>=2.1.0 # Apache-2.0
python-neutronclient!=4.1.0,>=2.6.0 # Apache-2.0
python-glanceclient>=2.0.0 # Apache-2.0
requests!=2.9.0,>=2.8.1 # Apache-2.0
six>=1.9.0 # MIT
stevedore>=1.5.0 # Apache-2.0
setuptools>=16.0 # PSF/ZPL
websockify>=0.6.1 # LGPLv3
oslo.cache>=1.5.0 # Apache-2.0
oslo.concurrency>=3.7.1 # Apache-2.0
oslo.config>=3.7.0 # Apache-2.0
oslo.context>=0.2.0 # Apache-2.0
oslo.log>=1.14.0 # Apache-2.0
oslo.reports>=0.6.0 # Apache-2.0
oslo.serialization>=1.10.0 # Apache-2.0
oslo.utils>=3.5.0 # Apache-2.0
oslo.db>=4.1.0 # Apache-2.0
oslo.rootwrap>=2.0.0 # Apache-2.0
oslo.messaging>=4.0.0 # Apache-2.0
oslo.policy>=0.5.0 # Apache-2.0
oslo.i18n>=2.1.0 # Apache-2.0
oslo.service>=1.0.0 # Apache-2.0
rfc3986>=0.2.0 # Apache-2.0
oslo.middleware>=3.0.0 # Apache-2.0
psutil<2.0.0,>=1.1.1 # BSD
oslo.versionedobjects>=1.5.0 # Apache-2.0
alembic>=0.8.0 # MIT
os-brick>=1.0.0 # Apache-2.0
os-win>=0.2.3 # Apache-2.0
castellan>=0.3.1 # Apache-2.0

=== debian/changelog ===
nova (2:13.1.0-2~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.
  * 

 -- Thomas Goirand <zigo@debian.org>  Fri, 05 Aug 2016 08:51:00 +0000

nova (2:13.1.0-2) unstable; urgency=medium

  * Rebuilt with openstack-pkg-tools to ensure the ALTER DATABASE is made with
    quotes, which is important for nova-api that has a dash by default in the
    db name (Closes: #827317).

 -- Thomas Goirand <zigo@debian.org>  Thu, 30 Jun 2016 08:15:14 +0000

nova (2:13.1.0-1) unstable; urgency=medium

  * New upstream release.
  * Add support-all-paramiko-versions.patch so that Nova continues to work with
    python-paramiko (>= 2).
  * Build-Depends: python-oslo.concurrency should be >= 3.7.1 for this release,
    even though upstream advertises otherwise.
  * Do not run broken unit test with Paramiko 2.x:
    test_crypto.KeyPairTest.test_generate_key_pair_mocked_private_key
  * Added fix-requirements.txt.

 -- Thomas Goirand <zigo@debian.org>  Tue, 21 Jun 2016 11:05:26 +0200

nova (2:13.0.0-4) unstable; urgency=medium

  * Fix pybasedir to a correct value. (Closes: #827179).

 -- Thomas Goirand <zigo@debian.org>  Tue, 14 Jun 2016 19:33:55 +0000

nova (2:13.0.0-3) unstable; urgency=medium

  [ Thomas Goirand ]
  * Updated Japanese debconf templates translation update (Closes: #820768).
  * Updated Dutch debconf templates translation (Closes: #822887).
  * Updated Brazilian Portuguese debconf templates (Closes: #824336).

  [ Ondřej Nový ]
  * Added Documentation to systemd units

 -- Thomas Goirand <zigo@debian.org>  Sat, 23 Apr 2016 18:56:19 +0200

nova (2:13.0.0-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * Use /bin/sh as su shell in postinst script explicitly
  * Standards-Version is 3.9.8 now (no change)
  * Use /bin/sh as default shell for "nova" user

 -- Thomas Goirand <zigo@debian.org>  Thu, 14 Apr 2016 11:04:59 +0000

nova (2:13.0.0-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Thu, 07 Apr 2016 18:17:11 +0200

nova (2:13.0.0~rc3-1) unstable; urgency=medium

  * New upstream release.
  * Uploading to unstable.
  * Updated ja.po debconf translations (Closes: #815955).

 -- Thomas Goirand <zigo@debian.org>  Tue, 05 Apr 2016 09:43:40 +0200

nova (2:13.0.0~rc1-4) experimental; urgency=medium

  * Standards-Version: 3.9.7 (no change)
  * Do not use keystone admin auth token anymore (and therefore, build-depends
    on openstack-pkg-tools >= 40~).

 -- Thomas Goirand <zigo@debian.org>  Tue, 29 Mar 2016 09:45:11 +0000

nova (2:13.0.0~rc1-3) experimental; urgency=medium

  * Fixed netron -> neutron in nova-common.postinst.in.

 -- Thomas Goirand <zigo@debian.org>  Tue, 29 Mar 2016 09:35:04 +0000

nova (2:13.0.0~rc1-2) experimental; urgency=medium

  * Added dbconfig-common management of the novaapi db.

 -- Thomas Goirand <zigo@debian.org>  Tue, 29 Mar 2016 08:46:01 +0000

nova (2:13.0.0~rc1-1) experimental; urgency=medium

  [ Ivan Udovichenko ]
  * d/patches: Add Install-missed-files.patch file.
  * d/patches/series: Remove outdated entry and add the new one.

  [ Thomas Goirand ]
  * New upstream release.
  * Fix [neutron]/auth_plugin -> [neutron]/auth_type fixup, to follow the
    changes in upstream generated config file.
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 21 Mar 2016 14:32:43 +0100

nova (2:13.0.0~b3-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * Fixed VCS URLs (https).

  [ Thomas Goirand ]
  * New upstream release.
  * Fixed (build-)depends for this release.
  * Fix namespace list for generating nova.conf.

 -- Thomas Goirand <zigo@debian.org>  Fri, 04 Mar 2016 03:05:59 +0800

nova (2:13.0.0~b2-2) experimental; urgency=medium

  [ Ivan Udovichenko ]
  * d/rules: Binary for nova-objectstore service is not generated anymore.

  [ Thomas Goirand ]
  * Do not use -S flag of dpkg-parsechangelog: incompatible with Trusty.
  * Add build-depends-indep in Git to avoid crash during sphinx doc build.
  * Bump EPOCH to align with Ubuntu.
  * Stop using hand-crafted config file, and use the generated one.
  * Removed ec2 from possible API activation (support for that doesn't exist
    anymore).

 -- Thomas Goirand <zigo@debian.org>  Fri, 29 Jan 2016 06:08:52 +0000

nova (1:13.0.0~b2-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.
  * Do not delete nova-api-ec2 (it's gone upstream...).
  * Fixed debian/copyright.
  * Using testr directly for unit tests, as run_tests.sh is now deprecated.

 -- Thomas Goirand <zigo@debian.org>  Fri, 04 Dec 2015 13:25:23 +0100

=== debian/control ===
Source: nova
Section: net
Priority: extra
Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Thomas Goirand <zigo@debian.org>,
           gustavo panizzo <gfa@zumbi.com.ar>,
Build-Depends: debhelper (>= 9),
               dh-python,
               dh-systemd,
               openstack-pkg-tools (>= 52~),
               po-debconf,
               python-all,
               python-pbr (>= 1.8),
               python-setuptools (>= 16.0),
               python-sphinx,
Build-Depends-Indep: alembic (>= 0.8.0),
                     bandit (>= 0.13.2),
                     bpython,
                     euca2ools,
                     git,
                     ipython,
                     libvirt-daemon-system,
                     openssh-client,
                     procps,
                     python-babel,
                     python-barbicanclient (>= 3.3.0),
                     python-boto,
                     python-castellan (>= 0.3.1),
                     python-cinderclient (>= 1:1.3.1),
                     python-coverage,
                     python-cryptography (>= 1.0),
                     python-decorator,
                     python-eventlet (>= 0.18.4),
                     python-fixtures (>= 1.3.1),
                     python-glanceclient (>= 1:2.0.0),
                     python-greenlet,
                     python-hacking (>= 0.10.0),
                     python-ironicclient (>= 1.1.0),
                     python-iso8601,
                     python-jinja2 (>= 2.8),
                     python-jsonschema,
                     python-keystoneauth1 (>= 2.1.0),
                     python-keystonemiddleware (>= 4.0.0),
                     python-lxml,
                     python-memcache,
                     python-migrate (>= 0.9.6),
                     python-mock (>= 1.3),
                     python-mox3,
                     python-mysqldb,
                     python-netaddr (>= 0.7.12),
                     python-netifaces (>= 0.10.4),
                     python-neutronclient (>= 1:2.6.0),
                     python-novaclient (>= 2:2.9.0),
                     python-openstackdocstheme,
                     python-os-brick (>= 1.0.0),
                     python-os-testr (>= 0.4.2),
                     python-oslo.cache (>= 1.5.0),
                     python-oslo.concurrency (>= 3.7.1),
                     python-oslo.config (>= 1:3.7.0),
                     python-oslo.context (>= 0.2.0),
                     python-oslo.db (>= 4.1.0),
                     python-oslo.i18n (>= 2.1.0),
                     python-oslo.log (>= 2.0.0),
                     python-oslo.messaging (>= 4.0.0),
                     python-oslo.middleware (>= 3.0.0),
                     python-oslo.policy (>= 0.5.0),
                     python-oslo.reports (>= 1.0.0),
                     python-oslo.rootwrap (>= 2.0.0),
                     python-oslo.serialization (>= 2.0.0),
                     python-oslo.service (>= 1.0.0),
                     python-oslo.utils (>= 3.5.0),
                     python-oslo.versionedobjects (>= 1.5.0),
                     python-oslo.vmware (>= 0.16.0),
                     python-oslosphinx (>= 2.5.0),
                     python-oslotest (>= 1.10.0),
                     python-os-win (>= 0.2.3),
                     python-paramiko,
                     python-paste,
                     python-pastedeploy,
                     python-pil,
                     python-prettytable,
                     python-psutil,
                     python-psycopg2 (>= 2.5),
                     python-pymysql,
                     python-requests (>= 2.8.1),
                     python-requests-mock (>= 0.7.0),
                     python-rfc3986,
                     python-routes,
                     python-six (>= 1.9.0),
                     python-sphinxcontrib.seqdiag,
                     python-sqlalchemy (>= 1.0.10),
                     python-stevedore (>= 1.5.0),
                     python-tempest-lib (>= 0.14.0),
                     python-testresources,
                     python-testtools (>= 1.4.0),
                     python-webob,
                     sqlite3,
                     subunit,
                     testrepository,
                     websockify (>= 0.6.1),
Build-Conflicts: python-cjson
Standards-Version: 3.9.8
Vcs-Browser: https://anonscm.debian.org/cgit/openstack/nova.git/
Vcs-Git: https://anonscm.debian.org/git/openstack/nova.git
Homepage: http://www.openstack.org/software/openstack-compute/

Package: python-nova
Architecture: all
Section: python
Depends: alembic (>= 0.8.0),
         openssh-client,
         openssl,
         python-babel,
         python-boto,
         python-castellan (>= 0.3.1),
         python-cinderclient (>= 1:1.3.1),
         python-cryptography (>= 1.0),
         python-decorator,
         python-eventlet (>= 0.18.4),
         python-feedparser,
         python-glanceclient (>= 1:2.0.0),
         python-greenlet,
         python-iso8601,
         python-jinja2 (>= 2.8),
         python-jsonschema,
         python-keystoneauth1 (>= 2.1.0),
         python-keystonemiddleware (>= 4.0.0),
         python-lxml,
         python-memcache,
         python-migrate (>= 0.9.6),
         python-mysqldb,
         python-netaddr (>= 0.7.12),
         python-netifaces (>= 0.10.4),
         python-neutronclient (>= 1:2.6.0),
         python-novaclient (>= 2:2.9.0),
         python-os-brick (>= 1.0.0),
         python-oslo.cache (>= 1.5.0),
         python-oslo.concurrency (>= 3.7.1),
         python-oslo.config (>= 1:3.7.0),
         python-oslo.context (>= 0.2.0),
         python-oslo.db (>= 4.1.0),
         python-oslo.i18n (>= 2.1.0),
         python-oslo.log (>= 2.0.0),
         python-oslo.messaging (>= 4.0.0),
         python-oslo.middleware (>= 3.0.0),
         python-oslo.policy (>= 0.5.0),
         python-oslo.reports (>= 1.0.0),
         python-oslo.rootwrap (>= 2.0.0),
         python-oslo.serialization (>= 2.0.0),
         python-oslo.service (>= 1.0.0),
         python-oslo.utils (>= 3.5.0),
         python-oslo.versionedobjects (>= 1.5.0),
         python-os-win (>= 0.2.3),
         python-paramiko,
         python-paste,
         python-pastedeploy,
         python-pbr (>= 1.8),
         python-prettytable,
         python-psutil,
         python-psycopg2 (>= 2.5),
         python-pycurl,
         python-pymysql,
         python-pyparsing (>= 1.5.7),
         python-requests (>= 2.8.1),
         python-rfc3986,
         python-routes,
         python-six (>= 1.9.0),
         python-sqlalchemy (>= 1.0.10),
         python-stevedore (>= 1.5.0),
         python-tempita,
         python-webob,
         sudo,
         websockify (>= 0.6.1),
         ${misc:Depends},
         ${python:Depends},
Suggests: python-suds (>= 0.4.0)
Conflicts: python-cjson
Description: OpenStack Compute - libraries
 OpenStack is a reliable cloud infrastructure. Its mission is to produce
 the ubiquitous cloud computing platform that will meet the needs of public
 and private cloud providers regardless of size, by being simple to implement
 and massively scalable.
 .
 OpenStack Compute, codenamed Nova, is a cloud computing fabric controller
 designed to be modular and easy to extend and adapt. In addition to its
 "native" OpenStack API, it also supports the Amazon EC2 API, and it supports
 many different database backends (including SQLite, MySQL, and PostgreSQL),
 hypervisors (KVM, Xen), and user directory systems (LDAP, SQL).
 .
 This package contains the core Python parts of Nova.

Package: nova-common
Architecture: all
Depends: adduser,
         bridge-utils,
         dbconfig-common,
         iproute2 | iproute,
         python-amqplib,
         python-configobj,
         python-iso8601,
         python-nova (= ${binary:Version}),
         sqlite3,
         ${misc:Depends},
         ${python:Depends},
Suggests: python-pysqlite2 | python-mysqldb | python-pygresql
Description: OpenStack Compute - common files
 OpenStack is a reliable cloud infrastructure. Its mission is to produce
 the ubiquitous cloud computing platform that will meet the needs of public
 and private cloud providers regardless of size, by being simple to implement
 and massively scalable.
 .
 OpenStack Compute, codenamed Nova, is a cloud computing fabric controller
 designed to be modular and easy to extend and adapt. In addition to its
 "native" OpenStack API, it also supports the Amazon EC2 API, and it supports
 many different database backends (including SQLite, MySQL, and PostgreSQL),
 hypervisors (KVM, Xen), and user directory systems (LDAP, SQL).
 .
 This package contains elements that are needed by all parts of Nova.

Package: nova-compute
Architecture: all
Depends: adduser,
         conntrack,
         curl,
         ebtables,
         gawk,
         iptables,
         kpartx,
         nova-common (= ${binary:Version}),
         nova-compute-kvm | nova-compute-hypervisor,
         open-iscsi,
         parted,
         python-cinderclient,
         qemu-utils,
         rsync,
         vlan,
         ${misc:Depends},
         ${ostack-lsb-base},
         ${python:Depends},
Replaces: python-nova (<< 2012.1~rc1-1)
Breaks: python-nova (<< 2012.1~rc1-1)
Description: OpenStack Compute - compute node
 OpenStack is a reliable cloud infrastructure. Its mission is to produce
 the ubiquitous cloud computing platform that will meet the needs of public
 and private cloud providers regardless of size, by being simple to implement
 and massively scalable.
 .
 OpenStack Compute, codenamed Nova, is a cloud computing fabric controller
 designed to be modular and easy to extend and adapt. In addition to its
 "native" OpenStack API, it also supports the Amazon EC2 API, and it supports
 many different database backends (including SQLite, MySQL, and PostgreSQL),
 hypervisors (KVM, Xen), and user directory systems (LDAP, SQL).
 .
 This package equips a system to function as a compute node, running the
 virtual machines.

Package: nova-compute-lxc
Architecture: all
Depends: adduser,
         dpkg-dev,
         libvirt-daemon-system,
         lxc,
         nova-common,
         nova-compute,
         python-libvirt (>= 1.2.5),
         ${misc:Depends},
         ${python:Depends},
Provides: nova-compute-hypervisor
Conflicts: nova-compute-ironic,
           nova-compute-kvm,
           nova-compute-qemu,
           nova-compute-xen,
Description: OpenStack Compute - compute node (LXC)
 OpenStack is a reliable cloud infrastructure. Its mission is to produce
 the ubiquitous cloud computing platform that will meet the needs of public
 and private cloud providers regardless of size, by being simple to implement
 and massively scalable.
 .
 OpenStack Compute, codenamed Nova, is a cloud computing fabric controller
 designed to be modular and easy to extend and adapt. In addition to its
 "native" OpenStack API, it also supports the Amazon EC2 API, and it supports
 many different database backends (including SQLite, MySQL, and PostgreSQL),
 hypervisors (KVM, Xen), and user directory systems (LDAP, SQL).
 .
 This is a dependency package for compute nodes using LXC.

Package: nova-compute-qemu
Architecture: all
Depends: adduser,
         dpkg-dev,
         libvirt-daemon-system,
         nova-common,
         nova-compute,
         python-libvirt (>= 1.2.5),
         qemu,
         ${misc:Depends},
Provides: nova-compute-hypervisor
Conflicts: nova-compute-ironic,
           nova-compute-kvm,
           nova-compute-lxc,
           nova-compute-xen,
Description: OpenStack Compute - compute node (QEmu)
 OpenStack is a reliable cloud infrastructure. Its mission is to produce
 the ubiquitous cloud computing platform that will meet the needs of public
 and private cloud providers regardless of size, by being simple to implement
 and massively scalable.
 .
 OpenStack Compute, codenamed Nova, is a cloud computing fabric controller

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/openstack-pkg-tools/pkgos.make

export OSLO_PACKAGE_VERSION=$(shell dpkg-parsechangelog | grep Version: | cut -d' ' -f2 | sed -e 's/^[[:digit:]]*://' -e 's/[-].*//' -e 's/~/.0/')

include /usr/share/python/python.mk

%:
	dh $@ --buildsystem=python_distutils --with python2,sphinxdoc,systemd

override_dh_auto_clean:
	dh_auto_clean
	rm -rf doc/build/ doc/source/api doc/.autogenerated
	rm -rf tests.sqlite clean.sqlite run_tests.log
	rm -rf CA
	rm -rf nova.egg-info
	rm -f po/nova.pot
	rm -rf .autogenerated
	rm -f debian/nova-common.config debian/nova-common.postinst debian/nova-compute-xen.postinst \
		debian/nova-api.config debian/nova-api.postinst
	rm -f debian/*.init debian/*.service debian/*.upstart
	rm -rf build etc/nova/nova.conf.sample
	rm -rf .testrepository subunit.log instances keys
	rm -rf debian/bla

override_dh_auto_build:
	dh_auto_build

	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func nova-common.config
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func nova-common.postinst
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func nova-api.config
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func nova-api.postinst
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func nova-compute-xen.postinst

override_dh_sphinxdoc:
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	sphinx-build -b html doc/source $(CURDIR)/debian/nova-doc/usr/share/doc/nova-doc/html
	sphinx-build -b man doc/source doc/build/man
	dh_sphinxdoc -O--buildsystem=python_distutils
	#python setup.py build_sphinx
endif

override_dh_installman:
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	dh_installman -O--buildsystem=python_distutils
endif

override_dh_auto_install:
	echo "Please do nothing"

override_dh_install:
	rm -rf $(CURDIR)/debian/tmp
	python setup.py install -f --install-layout=deb --root=$(CURDIR)/debian/tmp

	mkdir -p $(CURDIR)/debian/nova-common/usr/share/nova-common
	PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python2.7/dist-packages oslo-config-generator \
		--output-file=$(CURDIR)/debian/nova-common/usr/share/nova-common/nova.conf \
		--wrap-width 140 \
		--namespace nova \
		--namespace nova.conf \
		--namespace nova.api \
		--namespace nova.cache_utils \
		--namespace nova.cells \
		--namespace nova.compute \
		--namespace nova.network \
		--namespace nova.network.neutronv2 \
		--namespace nova.virt \
		--namespace oslo.log \
		--namespace oslo.messaging \
		--namespace oslo.policy \
		--namespace oslo.service.periodic_task \
		--namespace oslo.service.service \
		--namespace oslo.service.sslutils \
		--namespace oslo.db \
		--namespace oslo.middleware \
		--namespace oslo.concurrency \
		--namespace keystonemiddleware.auth_token
	# Otherwise, this is set to the build dir
	pkgos-fix-config-default $(CURDIR)/debian/nova-common/usr/share/nova-common/nova.conf DEFAULT pybasedir /usr/lib/python2.7/dist-packages

	# General needed fixes
	pkgos-fix-config-default $(CURDIR)/debian/nova-common/usr/share/nova-common/nova.conf oslo_concurrency lock_path /var/lock/nova
	pkgos-fix-config-default $(CURDIR)/debian/nova-common/usr/share/nova-common/nova.conf DEFAULT state_path /var/lib/nova

	# Let's use Neutron by default, and not stupid nova-network
	pkgos-fix-config-default $(CURDIR)/debian/nova-common/usr/share/nova-common/nova.conf DEFAULT security_group_api neutron
	pkgos-fix-config-default $(CURDIR)/debian/nova-common/usr/share/nova-common/nova.conf DEFAULT network_api_class nova.network.neutronv2.api.API
	pkgos-fix-config-default $(CURDIR)/debian/nova-common/usr/share/nova-common/nova.conf DEFAULT linuxnet_interface_driver nova.network.linux_net.LinuxOVSInterfaceDriver
	pkgos-fix-config-default $(CURDIR)/debian/nova-common/usr/share/nova-common/nova.conf DEFAULT firewall_driver nova.virt.firewall.NoopFirewallDriver
	pkgos-fix-config-default $(CURDIR)/debian/nova-common/usr/share/nova-common/nova.conf DEFAULT default_floating_pool ext-nat

	# Fixup a few defaults for the [neutron] auth
	pkgos-fix-config-default $(CURDIR)/debian/nova-common/usr/share/nova-common/nova.conf neutron auth_type v3password
	pkgos-fix-config-default $(CURDIR)/debian/nova-common/usr/share/nova-common/nova.conf neutron user_domain_id default
	pkgos-fix-config-default $(CURDIR)/debian/nova-common/usr/share/nova-common/nova.conf neutron project_name admin
	pkgos-fix-config-default $(CURDIR)/debian/nova-common/usr/share/nova-common/nova.conf neutron auth_url http://127.0.0.1:35357/v2.0
	pkgos-fix-config-default $(CURDIR)/debian/nova-common/usr/share/nova-common/nova.conf neutron tenant_name admin
	pkgos-fix-config-default $(CURDIR)/debian/nova-common/usr/share/nova-common/nova.conf neutron username admin
	pkgos-fix-config-default $(CURDIR)/debian/nova-common/usr/share/nova-common/nova.conf neutron user_domain_name default
	pkgos-fix-config-default $(CURDIR)/debian/nova-common/usr/share/nova-common/nova.conf neutron project_domain_name default

	pkgos-fix-config-default $(CURDIR)/debian/nova-common/usr/share/nova-common/nova.conf neutron service_metadata_proxy true

	# Convenient default for the SQLite default db
	pkgos-fix-config-default $(CURDIR)/debian/nova-common/usr/share/nova-common/nova.conf database connection sqlite:////var/lib/nova/novadb

	# Let's use SPICE byd default
	pkgos-fix-config-default $(CURDIR)/debian/nova-common/usr/share/nova-common/nova.conf VNC enabled false
	pkgos-fix-config-default $(CURDIR)/debian/nova-common/usr/share/nova-common/nova.conf VNC vncserver_listen 0.0.0.0
	pkgos-fix-config-default $(CURDIR)/debian/nova-common/usr/share/nova-common/nova.conf spice vncserver_listen 0.0.0.0
	pkgos-fix-config-default $(CURDIR)/debian/nova-common/usr/share/nova-common/nova.conf spice server_listen 0.0.0.0
	pkgos-fix-config-default $(CURDIR)/debian/nova-common/usr/share/nova-common/nova.conf spice server_proxyclient_address \$$my_ip
	pkgos-fix-config-default $(CURDIR)/debian/nova-common/usr/share/nova-common/nova.conf spice enabled true

	# Works by default
	pkgos-fix-config-default $(CURDIR)/debian/nova-common/usr/share/nova-common/nova.conf keystone_authtoken auth_protocol http

	rm debian/tmp/usr/bin/nova-api-os-compute
	rm debian/tmp/usr/bin/nova-api-metadata

	dh_install --fail-missing -Xbin/nova-all

	install -D -m 0440 $(CURDIR)/debian/nova-common.sudoers $(CURDIR)/debian/nova-common/etc/sudoers.d/nova-common
	install -D -m 0644 $(CURDIR)/etc/nova/logging_sample.conf $(CURDIR)/debian/nova-common/usr/share/nova-common/logging.conf
	set -e ; for hypervisor in qemu kvm uml lxc ironic; do \
		install -D -m 0600 $(CURDIR)/debian/nova-compute-$${hypervisor}.conf $(CURDIR)/debian/nova-compute-$${hypervisor}/etc/nova/nova-compute.conf; \
	done
	install -D -m 0600 $(CURDIR)/debian/nova-compute-xen.conf.dist $(CURDIR)/debian/nova-compute-xen/usr/share/nova-compute-xen/nova-compute.conf
	find $(CURDIR)/debian -name .gitignore -delete
	cp $(CURDIR)/nova/db/sqlalchemy/migrate_repo/migrate.cfg $(CURDIR)/debian/python-nova/usr/lib/python2.7/dist-packages/nova/db/sqlalchemy/migrate_repo

override_dh_fixperms:
	dh_fixperms -Xnova_sudoers
	dh_fixperms -Xnova_tgt
	rm -f $(CURDIR)/debian/python-nova/usr/share/pyshared/nova/CA/.gitignore
	rm -f $(CURDIR)/debian/python-nova/usr/share/pyshared/nova/CA/projects/.gitignore
	rm -f $(CURDIR)/debian/python-nova/usr/share/pyshared/nova/CA/reqs/.gitignore

	# Make sure all our plugins are executable
#	set -e ; for i in $(CURDIR)/debian/nova-xcp-plugins/usr/lib/xcp/plugins/* ; do \
#		chmod +x $$i ; \
#	done
#	# Don't ask, that's as stupid as it seems... (and it wouldn't work without this!)
#	mkdir -p $(CURDIR)/debian/nova-xcp-plugins/etc/xcp
#	echo "{}" >$(CURDIR)/debian/nova-xcp-plugins/etc/xcp/xenhost.conf
#	chmod 0440 $(CURDIR)/debian/nova-common/etc/sudoers.d/nova-common

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	@echo "===> Running tests"
	set -e ; set -x ; for i in 2.7 ; do \
		PYMAJOR=`echo $$i | cut -d'.' -f1` ; \

## nova 13.1.4

=== requirements.txt ===
--- 
+++ 
@@ -33,7 +33,7 @@
 requests!=2.9.0,>=2.8.1 # Apache-2.0
 six>=1.9.0 # MIT
 stevedore>=1.5.0 # Apache-2.0
-setuptools>=16.0 # PSF/ZPL
+setuptools!=24.0.0,!=34.0.0,!=34.0.1,!=34.0.2,!=34.0.3,!=34.1.0,!=34.1.1,!=34.2.0,!=34.3.0,>=16.0 # PSF/ZPL
 websockify>=0.6.1 # LGPLv3
 oslo.cache>=1.5.0 # Apache-2.0
 oslo.concurrency>=3.7.1 # Apache-2.0
@@ -54,6 +54,6 @@
 psutil<2.0.0,>=1.1.1 # BSD
 oslo.versionedobjects>=1.5.0 # Apache-2.0
 alembic>=0.8.0 # MIT
-os-brick>=1.0.0 # Apache-2.0
+os-brick!=1.4.0,>=1.0.0 # Apache-2.0
 os-win>=0.2.3 # Apache-2.0
 castellan>=0.3.1 # Apache-2.0

=== debian/changelog ===
nova (2:13.1.4-0ubuntu4.5) xenial-security; urgency=medium

  * SECURITY UPDATE: ensure underlying environment details not leaked in
    server fault
    - d/p/CVE-2019-14433.patch: replace non-admin server fault message
      with exception type class name in nova/compute/utils.py.
    - CVE-2019-14433

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 15 Aug 2019 16:47:49 -0700

nova (2:13.1.4-0ubuntu4.4) xenial; urgency=medium

  * Refix disk size during live migration with disk over-commit
    - (LP: #1708572) and (LP: #1744079)
    - d/p/0001-Fix-disk-size-during-live-migration-with-disk-over-c.patch
    - d/p/0002-Refix-disk-size-during-live-migration-with-disk-over.patch

 -- Zhang Hua <joshua.zhang@canonical.com>  Tue, 02 Apr 2019 18:48:16 +0800

nova (2:13.1.4-0ubuntu4.3) xenial; urgency=medium

  * d/control: Drop circular dependencies. nova-compute depends on
    nova-compute-* packages. nova-compute-* packages shouldn't depend
    on nova-compute. nova-compute-* should however depend on nova-common.
    (LP: #1761140).

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 27 Jun 2018 10:57:19 -0400

nova (2:13.1.4-0ubuntu4.2) xenial; urgency=medium

  [ Seyeong Kim ]
  * Add supporting http_proxy_to_wsgi to api-paste.ini (LP: #1573766)
    - d/p/0001-Add-http_proxy_to_wsgi-to-api-paste.patch
    - d/p/0002-Add-proxy-middleware-to-application-pipeline.patch

  [ Edward Hope-Morley ]
  * Patch nova.db.sqlalchemy.api.compute_node_statistics() to
    exclude deleted services from stats count. This is the same
    fix as that backported to newton in bug 1692397 except that
    the actual patch is not backportable due to the underlying
    code changing extensively.
    - d/p/exlude-deleted-service-from-stats-count.patch (LP: #1692397)

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 08 Dec 2017 15:44:43 -0500

nova (2:13.1.4-0ubuntu4.1) xenial; urgency=medium

  * d/nova.conf: Add connection strings to default config for sqlite. This
    enables daemons to start by default and fixes failing autopkgtests.
  * d/tests/nova-daemons: Update test to be resilient to timing failures.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 03 Oct 2017 14:24:48 -0400

nova (2:13.1.4-0ubuntu4) xenial; urgency=medium

  * d/nova-common.postinst: Don't sync database if connection is not defined
    in /etc/nova/nova.conf (LP: #1713059).

 -- Felipe Reyes <felipe.reyes@canonical.com>  Tue, 29 Aug 2017 16:17:30 -0300

nova (2:13.1.4-0ubuntu3) xenial; urgency=medium

  * Fix evacuation error when nova-compute is down just
    after VM is started.

    - d/p/make-sure-to-rebuild-claim-on-recreate.patch
      (backported from newton 0f2d874, upstream a2b0824)

    - d/p/Send-events-to-all-relevant-hosts-if-migrating.patch (LP: #1535918)
      (backported from a5b920)

 -- Seyeong Kim <seyeong.kim@canonical.com>  Fri, 04 Aug 2017 04:46:40 +0900

nova (2:13.1.4-0ubuntu2) xenial; urgency=medium

  * d/p/libvirt-fix-incorrect-host-cpus-giving-to-emulator-t.patch:
    Backport fix for cpu pinning libvirt config incorrect emulator
    pin cpuset (LP: #1614054).

 -- Edward Hope-Morley <edward.hope-morley@canonical.com>  Wed, 26 Jul 2017 06:46:18 +0100

nova (2:13.1.4-0ubuntu1) xenial; urgency=medium

  * New upstream point release for OpenStack Mitaka (LP: #1696177).

 -- James Page <james.page@ubuntu.com>  Wed, 07 Jun 2017 11:18:04 +0100

nova (2:13.1.3-0ubuntu2) xenial; urgency=medium

  * Fix exception due to BDM race in get_available_resource() (LP: #1602057)
    - d/p/fix-exception-due-to-bdm-race-in-get_available_resou.patch

 -- Edward Hope-Morley <edward.hope-morley@canonical.com>  Fri, 31 Mar 2017 10:38:17 +0100

nova (2:13.1.3-0ubuntu1) xenial; urgency=medium

  * New upstream point release for OpenStack Mitaka. (LP: #1668313)
  * d/patches/uefi-delete-instances.patch: Fix deletion of instances
    with UEFI is enabled. (LP: #1567807)

 -- Chuck Short <zulcss@ubuntu.com>  Wed, 01 Mar 2017 08:44:03 -0500

nova (2:13.1.2-0ubuntu2) xenial; urgency=medium

  [ dann frazier ]
  * d/p/libvirt-add-hugepages-support-for-Power.patch (LP: #1568086).
  * d/p/libvirt-add-hugepages-support-for-arm64.patch (LP: #1623871).

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 18 Oct 2016 13:56:15 -0400

nova (2:13.1.2-0ubuntu1) xenial; urgency=medium

  [ James Page ]
  * d/p/fix-block-migration.patch,bug1608934.patch: Dropped, accepted
    upstream.

  [ Corey Bryant ]
  * New upstream stable point release for OpenStack Mitaka (LP: #1633191).

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 13 Oct 2016 15:35:43 -0400

nova (2:13.1.1-0ubuntu1.1) xenial; urgency=medium

  * d/p/bug1608934.patch: Cherry pick fix to ignore the resize check if
    the backing file doesn't exist, resolving issues with RAW and LVM
    backends (LP: #1608934).

 -- James Page <james.page@ubuntu.com>  Wed, 05 Oct 2016 16:56:35 +0100

nova (2:13.1.1-0ubuntu1) xenial; urgency=medium

  * New upstream point release for OpenStack Mitaka (LP: #1614131).

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 18 Aug 2016 10:29:12 -0400

nova (2:13.1.0-0ubuntu1) xenial; urgency=medium

  * New upstream point release for OpenStack Mitaka (LP: #1601854).
  * d/control: Align (Build-)Depends with upstream.
  * New upstream version.
  * d/p/arm-console-patch.patch: Rebased.
  * d/p/disable-websockify-tests.patch: Rebased.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 11 Jul 2016 09:14:11 -0400

nova (2:13.0.0-0ubuntu5) xenial; urgency=medium

  * d/p/fix-block-migration.patch: Cherry pick and rebase patch from
    stable/mitaka gerrit review to fix block migration (LP: #1576093).
  * Note: Skipping 0ubuntu3/4 because they were yakkety-only releases.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 16 Jun 2016 11:52:04 -0400

nova (2012.1~e4~20120208.12523-0ubuntu1) xenial; urgency=low

  [ Chuck Short ]
  * debian/patches/fix-nova-rootwraper-env.patch: Dropped
    no longer needed.


=== debian/control ===
Source: nova
Section: net
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Openstack Maintainers <openstack@lists.launchpad.net>
Uploaders: Soren Hansen <soren@ubuntu.com>,
           Thomas Goirand <zigo@debian.org>,
Build-Depends: debhelper (>= 9),
               dh-python,
               dh-systemd,
               openstack-pkg-tools (>= 37ubuntu3~),
               python-all,
               python-pbr (>= 1.8),
               python-setuptools (>= 16.0),
               python-sphinx,
Build-Depends-Indep: alembic (>= 0.8.0),
                     bandit,
                     openssh-client,
                     python-babel (>= 1.3),
                     python-barbicanclient (>= 3.3.0),
                     python-boto (>= 2.32.1),
                     python-castellan (>= 0.3.1),
                     python-cinderclient (>= 1:1.3.1),
                     python-coverage (>= 3.6),
                     python-crypto (>= 2.6),
                     python-cryptography (>= 1.0),
                     python-decorator (>= 3.4.0),
                     python-eventlet (>= 0.18.2),
                     python-fixtures (>= 1.3.1),
                     python-glanceclient (>= 1:2.0.0),
                     python-greenlet (>= 0.3.2),
                     python-hacking,
                     python-ironicclient (>= 1.1.0),
                     python-iso8601 (>= 0.1.9),
                     python-jinja2 (>= 2.8),
                     python-jsonschema (>= 2.0.0),
                     python-keystoneauth1 (>= 2.1.0),
                     python-keystonemiddleware (>= 4.0.0),
                     python-lxml (>= 2.3),
                     python-migrate (>= 0.9.6),
                     python-mock (>= 1.2),
                     python-mox3 (>= 0.7.0),
                     python-netaddr (>= 0.7.12),
                     python-netifaces (>= 0.10.4),
                     python-neutronclient (>= 2.6.0),
                     python-os-brick (>= 1.0.0),
                     python-os-testr (>= 0.4.1),
                     python-os-win (>= 0.2.3),
                     python-oslo.cache (>= 1.5.0),
                     python-oslo.concurrency (>= 3.7.1),
                     python-oslo.config (>= 1:3.7.0),
                     python-oslo.context (>= 0.2.0),
                     python-oslo.db (>= 4.1.0),
                     python-oslo.i18n (>= 2.1.0),
                     python-oslo.log (>= 1.14.0),
                     python-oslo.messaging (>= 4.0.0),
                     python-oslo.middleware (>= 3.0.0),
                     python-oslo.policy (>= 0.5.0),
                     python-oslo.reports (>= 0.6.0),
                     python-oslo.rootwrap (>= 2.0.0),
                     python-oslo.serialization (>= 1.10.0),
                     python-oslo.service (>= 1.0.0),
                     python-oslo.utils (>= 3.5.0),
                     python-oslo.versionedobjects (>= 1.5.0),
                     python-oslo.vmware (>= 1.16.0),
                     python-oslosphinx (>= 2.5.0),
                     python-oslotest (>= 1.10.0),
                     python-paramiko (>= 1.13.0),
                     python-paste,
                     python-pastedeploy (>= 1.5.0),
                     python-prettytable (>= 0.7),
                     python-psutil (>= 1.1.1),
                     python-psycopg2 (>= 2.5),
                     python-pymysql,
                     python-requests (>= 2.8.1),
                     python-requests-mock (>= 0.7.0),
                     python-rfc3986 (>= 0.2.0),
                     python-routes (>= 1.12.3),
                     python-six (>= 1.9.0),
                     python-sqlalchemy (>= 1.0.10),
                     python-stevedore (>= 1.5.0),
                     python-tempest-lib (>= 0.14.0),
                     python-testresources (>= 0.2.4),
                     python-testtools (>= 1.4.0),
                     python-webob (>= 1.2.3),
                     subunit (>= 0.0.18),
                     testrepository (>= 0.0.18),
Build-Conflicts: python-cjson,
Standards-Version: 3.9.6
Homepage: http://launchpad.net/nova
Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/nova
Vcs-Git: git://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/nova
XS-Testsuite: autopkgtest
X-Python-Version: >= 2.7

Package: python-nova
Architecture: all
Section: python
Depends: alembic (>= 0.8.0),
         openssh-client,
         openssl,
         python-babel (>= 1.3),
         python-boto (>= 2.32.1),
         python-castellan (>= 0.3.1),
         python-cinderclient (>= 1:1.3.1),
         python-crypto (>= 2.6),
         python-cryptography (>= 1.0),
         python-decorator (>= 3.4.0),
         python-eventlet (>= 0.18.2),
         python-glanceclient (>= 1:2.0.0),
         python-greenlet (>= 0.3.2),
         python-iso8601 (>= 0.1.9),
         python-jinja2 (>= 2.8),
         python-jsonschema (>= 2.0.0),
         python-keystoneauth1 (>= 2.1.0),
         python-keystonemiddleware (>= 4.0.0),
         python-lxml (>= 2.3),
         python-migrate (>= 0.9.6),
         python-netaddr (>= 0.7.12),
         python-netifaces (>= 0.10.4),
         python-neutronclient (>= 2.6.0),
         python-os-brick (>= 1.0.0),
         python-os-win (>= 0.2.3),
         python-oslo.cache (>= 1.5.0),
         python-oslo.concurrency (>= 3.7.1),
         python-oslo.config (>= 1:3.7.0),
         python-oslo.context (>= 0.2.0),
         python-oslo.db (>= 4.1.0),
         python-oslo.i18n (>= 2.1.0),
         python-oslo.log (>= 1.14.0),
         python-oslo.messaging (>= 4.0.0),
         python-oslo.middleware (>= 3.0.0),
         python-oslo.policy (>= 0.5.0),
         python-oslo.reports (>= 0.6.0),
         python-oslo.rootwrap (>= 2.0.0),
         python-oslo.serialization (>= 1.10.0),
         python-oslo.service (>= 1.0.0),
         python-oslo.utils (>= 3.5.0),
         python-oslo.versionedobjects (>= 1.5.0),
         python-paramiko (>= 1.13.0),
         python-paste,
         python-pastedeploy (>= 1.5.0),
         python-prettytable (>= 0.7),
         python-psutil (>= 1.1.1),
         python-pymysql,
         python-requests (>= 2.8.1),
         python-rfc3986 (>= 0.2.0),
         python-routes (>= 1.12.3),
         python-setuptools (>= 16.0),
         python-six (>= 1.9.0),
         python-sqlalchemy (>= 1.0.10),
         python-stevedore (>= 1.5.0),
         python-webob (>= 1.2.3),
         ${misc:Depends},
         ${python:Depends},
Suggests: python-ldap,
Conflicts: python-cjson,
XB-Python-Version: ${python:Versions}
Provides: ${python:Provides},
Description: OpenStack Compute Python libraries
 OpenStack is a reliable cloud infrastructure. Its mission is to produce
 the ubiquitous cloud computing platform that will meet the needs of public
 and private cloud providers regardless of size, by being simple to implement
 and massively scalable.
 .
 OpenStack Compute, codenamed Nova, is a cloud computing fabric controller. In
 addition to its "native" API (the OpenStack API), it also supports the Amazon
 EC2 API.
 .
 Nova is intended to be modular and easy to extend and adapt. It supports many
 different hypervisors (KVM and Xen to name a few), different database backends
 (SQLite, MySQL, and PostgreSQL, for instance), different types of user
 databases (LDAP or SQL), etc.
 .
 This package contains the core Python parts of Nova.

Package: nova-common
Architecture: all
Depends: adduser,
         python-nova (= ${binary:Version}),
         ${misc:Depends},
         ${python:Depends},
Provides: ${python:Provides},
Recommends: python-glanceclient,
            python-keystone,
Description: OpenStack Compute - common files
 OpenStack is a reliable cloud infrastructure. Its mission is to produce
 the ubiquitous cloud computing platform that will meet the needs of public
 and private cloud providers regardless of size, by being simple to implement
 and massively scalable.
 .
 OpenStack Compute, codenamed Nova, is a cloud computing fabric controller. In
 addition to its "native" API (the OpenStack API), it also supports the Amazon
 EC2 API.
 .
 Nova is intended to be modular and easy to extend and adapt. It supports many
 different hypervisors (KVM and Xen to name a few), different database backends
 (SQLite, MySQL, and PostgreSQL, for instance), different types of user
 databases (LDAP or SQL), etc.
 .
 This package contains things that are needed by all parts of Nova.

Package: nova-compute
Architecture: all
Depends: nova-common (= ${binary:Version}),
         nova-compute-kvm | nova-compute-hypervisor,
         ${misc:Depends},
         ${python:Depends},
Description: OpenStack Compute - compute node base
 OpenStack is a reliable cloud infrastructure. Its mission is to produce
 the ubiquitous cloud computing platform that will meet the needs of public
 and private cloud providers regardless of size, by being simple to implement
 and massively scalable.
 .
 OpenStack Compute, codenamed Nova, is a cloud computing fabric controller. In
 addition to its "native" API (the OpenStack API), it also supports the Amazon
 EC2 API.
 .
 Nova is intended to be modular and easy to extend and adapt. It supports many
 different hypervisors (KVM and Xen to name a few), different database backends
 (SQLite, MySQL, and PostgreSQL, for instance), different types of user
 databases (LDAP or SQL), etc.
 .
 This is the package you will install on the nodes that will run your
 virtual machines.

Package: nova-compute-libvirt
Architecture: all
Depends: adduser,
         ebtables,
         genisoimage,
         iptables,
         kpartx,
         libvirt-bin,
         nova-common (= ${binary:Version}),
         open-iscsi,
         parted,
         python-libvirt,
         qemu-utils,
         vlan,
         ${misc:Depends},
         ${python:Depends},
Suggests: guestmount,
          multipath-tools,
          sg3-utils,
          sysfsutils,
Description: OpenStack Compute - compute node libvirt support
 OpenStack is a reliable cloud infrastructure. Its mission is to produce
 the ubiquitous cloud computing platform that will meet the needs of public
 and private cloud providers regardless of size, by being simple to implement
 and massively scalable.
 .
 OpenStack Compute, codenamed Nova, is a cloud computing fabric controller. In
 addition to its "native" API (the OpenStack API), it also supports the Amazon
 EC2 API.
 .
 Nova is intended to be modular and easy to extend and adapt. It supports many
 different hypervisors (KVM and Xen to name a few), different database backends
 (SQLite, MySQL, and PostgreSQL, for instance), different types of user
 databases (LDAP or SQL), etc.
 .
 This dependency package provides common dependencies and setup for all libvirt
 based hypervisor options.

Package: nova-compute-lxc
Architecture: all
Depends: nova-compute-libvirt (= ${binary:Version}),
         ${misc:Depends},
Provides: nova-compute-hypervisor,
Conflicts: nova-compute-hypervisor,
Description: OpenStack Compute - compute node (LXC)
 OpenStack is a reliable cloud infrastructure. Its mission is to produce
 the ubiquitous cloud computing platform that will meet the needs of public
 and private cloud providers regardless of size, by being simple to implement
 and massively scalable.
 .
 OpenStack Compute, codenamed Nova, is a cloud computing fabric controller. In
 addition to its "native" API (the OpenStack API), it also supports the Amazon
 EC2 API.
 .
 Nova is intended to be modular and easy to extend and adapt. It supports many
 different hypervisors (KVM and Xen to name a few), different database backends
 (SQLite, MySQL, and PostgreSQL, for instance), different types of user
 databases (LDAP or SQL), etc.
 .
 Install this package on your compute nodes if you're using LXC.

Package: nova-compute-xen
Architecture: all
Depends: nova-compute-libvirt (= ${binary:Version}),

=== debian/tests/control ===
Tests: nova-compute-daemons nova-daemons nova-clients nova-api python-nova
Depends: nova-compute, nova-conductor, nova-cert, nova-scheduler, nova-novncproxy,
 nova-xvpvncproxy, nova-api, nova-network, nova-console,
 nova-consoleauth, python-nova
Restrictions: needs-root

=== debian/watch ===
version=3
opts="uversionmangle=s/\.([a-zA-Z])/~$1/;s/%7E/~/;s/\.0b/~b/;s/\.0rc/~rc/" \
 http://tarballs.openstack.org/nova/ nova-(\d.*)\.tar\.gz
